<?php

namespace Drupal\Tests\extra_field\Functional;

/**
 * Tests the extra_field Display with field wrapper.
 *
 * @group extra_field
 */
class ExtraFieldDisplayFieldTest extends ExtraFieldBrowserTestBase {

  /**
   * {@inheritdoc}
   */
  public static $modules = [
    'extra_field',
    'node',
  ];

  /**
   * A node that contains the extra fields.
   *
   * @var \Drupal\node\Entity\Node
   */
  protected $content;

  /**
   * {@inheritdoc}
   */
  protected function setUp() {
    parent::setUp();

    $this->content = $this->createContent('first_node_type');
    $this->setupEnableExtraFieldTestModule();
  }

  /**
   * Test the output of field with single value item.
   */
  public function testSingleField() {

    $url = $this->content->toUrl();
    $this->drupalGet($url);

    $this->assertSession()->responseContains('<div class="field__item">Output from SingleTextFieldTest</div>');
    $this->assertSession()->responseContains('<div class="field__label">Single text</div>');
    $this->assertSession()->responseContains('field--name-field-single-text');
    $this->assertSession()->responseContains('field--type-single-text');
    $this->assertSession()->responseContains('field--label-inline');
  }

  /**
   * Test the output of field with multiple value items.
   */
  public function testMultipleField() {

    $url = $this->content->toUrl();
    $this->drupalGet($url);

    $this->assertSession()->responseContains('<div class="field__item">Aap</div>');
    $this->assertSession()->responseContains('<div class="field__item">Noot</div>');
    $this->assertSession()->responseContains('field--name-extra-field-multiple-text-test');
  }

}
